Makefile.in 27 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719
  1. # Makefile.in generated by automake 1.10 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. VPATH = @srcdir@
  14. pkgdatadir = $(datadir)/@PACKAGE@
  15. pkglibdir = $(libdir)/@PACKAGE@
  16. pkgincludedir = $(includedir)/@PACKAGE@
  17. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  18. install_sh_DATA = $(install_sh) -c -m 644
  19. install_sh_PROGRAM = $(install_sh) -c
  20. install_sh_SCRIPT = $(install_sh) -c
  21. INSTALL_HEADER = $(INSTALL_DATA)
  22. transform = $(program_transform_name)
  23. NORMAL_INSTALL = :
  24. PRE_INSTALL = :
  25. POST_INSTALL = :
  26. NORMAL_UNINSTALL = :
  27. PRE_UNINSTALL = :
  28. POST_UNINSTALL = :
  29. build_triplet = @build@
  30. host_triplet = @host@
  31. target_triplet = @target@
  32. subdir = test
  33. DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
  34. $(srcdir)/config.in
  35. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  36. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  37. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  38. $(ACLOCAL_M4)
  39. mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
  40. CONFIG_HEADER = $(top_builddir)/src/config.h
  41. CONFIG_CLEAN_FILES = config
  42. SOURCES =
  43. DIST_SOURCES =
  44. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  45. ACLOCAL = @ACLOCAL@
  46. AMTAR = @AMTAR@
  47. AR = @AR@
  48. AUTOCONF = @AUTOCONF@
  49. AUTOGEN = @AUTOGEN@
  50. AUTOHEADER = @AUTOHEADER@
  51. AUTOMAKE = @AUTOMAKE@
  52. AWK = @AWK@
  53. CC = @CC@
  54. CCDEPMODE = @CCDEPMODE@
  55. CFLAGS = @CFLAGS@
  56. CPP = @CPP@
  57. CPPFLAGS = @CPPFLAGS@
  58. CXX = @CXX@
  59. CXXCPP = @CXXCPP@
  60. CXXDEPMODE = @CXXDEPMODE@
  61. CXXFLAGS = @CXXFLAGS@
  62. CYGPATH_W = @CYGPATH_W@
  63. DEFS = @DEFS@
  64. DEPDIR = @DEPDIR@
  65. ECHO = @ECHO@
  66. ECHO_C = @ECHO_C@
  67. ECHO_N = @ECHO_N@
  68. ECHO_T = @ECHO_T@
  69. EGREP = @EGREP@
  70. EXEEXT = @EXEEXT@
  71. F77 = @F77@
  72. FFLAGS = @FFLAGS@
  73. GREP = @GREP@
  74. INSTALL = @INSTALL@
  75. INSTALL_DATA = @INSTALL_DATA@
  76. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  77. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  78. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  79. LDFLAGS = @LDFLAGS@
  80. LIBOBJS = @LIBOBJS@
  81. LIBOPTS_CFLAGS = @LIBOPTS_CFLAGS@
  82. LIBOPTS_DIR = @LIBOPTS_DIR@
  83. LIBOPTS_LDADD = @LIBOPTS_LDADD@
  84. LIBS = @LIBS@
  85. LIBTOOL = @LIBTOOL@
  86. LNAVLIB = @LNAVLIB@
  87. LNAV_CFLAGS = @LNAV_CFLAGS@
  88. LNETINC = @LNETINC@
  89. LNETLIB = @LNETLIB@
  90. LN_S = @LN_S@
  91. LPCAPINC = @LPCAPINC@
  92. LPCAPLIB = @LPCAPLIB@
  93. LTLIBOBJS = @LTLIBOBJS@
  94. MAINT = @MAINT@
  95. MAKEINFO = @MAKEINFO@
  96. MKDIR_P = @MKDIR_P@
  97. OBJEXT = @OBJEXT@
  98. PACKAGE = @PACKAGE@
  99. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  100. PACKAGE_NAME = @PACKAGE_NAME@
  101. PACKAGE_STRING = @PACKAGE_STRING@
  102. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  103. PACKAGE_VERSION = @PACKAGE_VERSION@
  104. PATH_SEPARATOR = @PATH_SEPARATOR@
  105. PCAP_BPF_H_FILE = @PCAP_BPF_H_FILE@
  106. PRINTF = @PRINTF@
  107. RANLIB = @RANLIB@
  108. SED = @SED@
  109. SET_MAKE = @SET_MAKE@
  110. SHELL = @SHELL@
  111. STRIP = @STRIP@
  112. TCPREPLAY_RELEASE = @TCPREPLAY_RELEASE@
  113. TCPREPLAY_VERSION = @TCPREPLAY_VERSION@
  114. VERSION = @VERSION@
  115. abs_builddir = @abs_builddir@
  116. abs_srcdir = @abs_srcdir@
  117. abs_top_builddir = @abs_top_builddir@
  118. abs_top_srcdir = @abs_top_srcdir@
  119. ac_ct_CC = @ac_ct_CC@
  120. ac_ct_CXX = @ac_ct_CXX@
  121. ac_ct_F77 = @ac_ct_F77@
  122. am__include = @am__include@
  123. am__leading_dot = @am__leading_dot@
  124. am__quote = @am__quote@
  125. am__tar = @am__tar@
  126. am__untar = @am__untar@
  127. bindir = @bindir@
  128. build = @build@
  129. build_alias = @build_alias@
  130. build_cpu = @build_cpu@
  131. build_os = @build_os@
  132. build_vendor = @build_vendor@
  133. builddir = @builddir@
  134. datadir = @datadir@
  135. datarootdir = @datarootdir@
  136. debug_flag = @debug_flag@
  137. docdir = @docdir@
  138. dvidir = @dvidir@
  139. exec_prefix = @exec_prefix@
  140. host = @host@
  141. host_alias = @host_alias@
  142. host_cpu = @host_cpu@
  143. host_os = @host_os@
  144. host_vendor = @host_vendor@
  145. htmldir = @htmldir@
  146. includedir = @includedir@
  147. infodir = @infodir@
  148. install_sh = @install_sh@
  149. libdir = @libdir@
  150. libexecdir = @libexecdir@
  151. localedir = @localedir@
  152. localstatedir = @localstatedir@
  153. mandir = @mandir@
  154. mkdir_p = @mkdir_p@
  155. nic1 = @nic1@
  156. nic2 = @nic2@
  157. oldincludedir = @oldincludedir@
  158. pcncfg = @pcncfg@
  159. pdfdir = @pdfdir@
  160. prefix = @prefix@
  161. program_transform_name = @program_transform_name@
  162. psdir = @psdir@
  163. sbindir = @sbindir@
  164. sharedstatedir = @sharedstatedir@
  165. srcdir = @srcdir@
  166. sysconfdir = @sysconfdir@
  167. target = @target@
  168. target_alias = @target_alias@
  169. target_cpu = @target_cpu@
  170. target_os = @target_os@
  171. target_vendor = @target_vendor@
  172. tcpdump_path = @tcpdump_path@
  173. top_builddir = @top_builddir@
  174. top_srcdir = @top_srcdir@
  175. # $Id$
  176. MAKEFLAGS = -s -k
  177. HOST = @host@
  178. TARGET = @target@
  179. BUILD = @build@
  180. ENABLE_DEBUG = @debug_flag@
  181. TCPPREP = ../src/tcpprep --no-arg-comment
  182. TCPREPLAY = ../src/tcpreplay
  183. TCPREWRITE = ../src/tcprewrite
  184. TCPBRIDGE = ../src/tcpbridge
  185. EXTRA_DIST = test.pcap test.auto_bridge test.auto_client test.auto_router \
  186. test.auto_server test.auto_first test.cidr test.comment test.port test.mac \
  187. test.prep_config test.primary test.regex test.secondary \
  188. test.rewrite_seed test.rewrite_portmap test.rewrite_endpoint \
  189. test.rewrite_pnat test.rewrite_pad test.rewrite_trunc \
  190. test.rewrite_mac test.rewrite_layer2 test.rewrite_config \
  191. test.rewrite_skip test.rewrite_dltuser test.rewrite_dlthdlc \
  192. test.rewrite_vlandel \
  193. test2.rewrite_seed test2.rewrite_portmap test2.rewrite_endpoint \
  194. test2.rewrite_pnat test2.rewrite_pad test2.rewrite_trunc \
  195. test2.rewrite_mac test2.rewrite_layer2 test2.rewrite_config \
  196. test2.rewrite_skip test2.rewrite_dltuser test2.rewrite_dlthdlc \
  197. test2.rewrite_vlandel
  198. @WORDS_BIGENDIAN_FALSE@STANDARD_REWRITE = standard_littleendian
  199. @WORDS_BIGENDIAN_TRUE@STANDARD_REWRITE = standard_bigendian
  200. @WORDS_BIGENDIAN_FALSE@REWRITE_WARN = "little"
  201. @WORDS_BIGENDIAN_TRUE@REWRITE_WARN = "big"
  202. all: all-am
  203. .SUFFIXES:
  204. $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
  205. @for dep in $?; do \
  206. case '$(am__configure_deps)' in \
  207. *$$dep*) \
  208. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
  209. && exit 0; \
  210. exit 1;; \
  211. esac; \
  212. done; \
  213. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
  214. cd $(top_srcdir) && \
  215. $(AUTOMAKE) --gnu test/Makefile
  216. .PRECIOUS: Makefile
  217. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  218. @case '$?' in \
  219. *config.status*) \
  220. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  221. *) \
  222. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  223. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  224. esac;
  225. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  226. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  227. $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  228. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  229. $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  230. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  231. config: $(top_builddir)/config.status $(srcdir)/config.in
  232. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  233. mostlyclean-libtool:
  234. -rm -f *.lo
  235. clean-libtool:
  236. -rm -rf .libs _libs
  237. tags: TAGS
  238. TAGS:
  239. ctags: CTAGS
  240. CTAGS:
  241. distdir: $(DISTFILES)
  242. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  243. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  244. list='$(DISTFILES)'; \
  245. dist_files=`for file in $$list; do echo $$file; done | \
  246. sed -e "s|^$$srcdirstrip/||;t" \
  247. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  248. case $$dist_files in \
  249. */*) $(MKDIR_P) `echo "$$dist_files" | \
  250. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  251. sort -u` ;; \
  252. esac; \
  253. for file in $$dist_files; do \
  254. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  255. if test -d $$d/$$file; then \
  256. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  257. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  258. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  259. fi; \
  260. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  261. else \
  262. test -f $(distdir)/$$file \
  263. || cp -p $$d/$$file $(distdir)/$$file \
  264. || exit 1; \
  265. fi; \
  266. done
  267. check-am: all-am
  268. check: check-am
  269. all-am: Makefile
  270. installdirs:
  271. install: install-am
  272. install-exec: install-exec-am
  273. install-data: install-data-am
  274. uninstall: uninstall-am
  275. install-am: all-am
  276. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  277. installcheck: installcheck-am
  278. install-strip:
  279. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  280. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  281. `test -z '$(STRIP)' || \
  282. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  283. mostlyclean-generic:
  284. clean-generic:
  285. distclean-generic:
  286. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  287. maintainer-clean-generic:
  288. @echo "This command is intended for maintainers to use"
  289. @echo "it deletes files that may require special tools to rebuild."
  290. clean-am: clean-generic clean-libtool mostlyclean-am
  291. distclean-am: clean-am distclean-generic
  292. dvi: dvi-am
  293. dvi-am:
  294. html: html-am
  295. info: info-am
  296. info-am:
  297. install-data-am:
  298. install-dvi: install-dvi-am
  299. install-exec-am:
  300. install-html: install-html-am
  301. install-info: install-info-am
  302. install-man:
  303. install-pdf: install-pdf-am
  304. install-ps: install-ps-am
  305. installcheck-am:
  306. maintainer-clean-am: distclean-am maintainer-clean-generic
  307. mostlyclean: mostlyclean-am
  308. mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  309. pdf: pdf-am
  310. pdf-am:
  311. ps: ps-am
  312. ps-am:
  313. uninstall-am:
  314. .MAKE: install-am install-strip
  315. .PHONY: all all-am check check-am clean clean-generic clean-libtool \
  316. distclean distclean-generic distclean-libtool distdir dvi \
  317. dvi-am html html-am info info-am install install-am \
  318. install-data install-data-am install-dvi install-dvi-am \
  319. install-exec install-exec-am install-html install-html-am \
  320. install-info install-info-am install-man install-pdf \
  321. install-pdf-am install-ps install-ps-am install-strip \
  322. installcheck installcheck-am installdirs maintainer-clean \
  323. maintainer-clean-generic mostlyclean mostlyclean-generic \
  324. mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
  325. test: all
  326. all: clearlog check tcpprep tcpreplay tcprewrite
  327. clearlog:
  328. -rm test.log
  329. check:
  330. $(PRINTF) "%s\n" "NOTICE: Tests must be run as root"
  331. $(PRINTF) "%s\n" "Sending traffic on '$(nic1)' and '$(nic2)'"
  332. standard: standard_prep $(STANDARD_REWRITE)
  333. $(PRINTF) "Warning: only creating %s endian standard test files\n" $(REWRITE_WARN)
  334. standard_prep:
  335. $(TCPPREP) -i test.pcap -o test.auto_router -a router
  336. $(TCPPREP) -i test.pcap -o test.auto_bridge -a bridge
  337. $(TCPPREP) -i test.pcap -o test.auto_client -a client
  338. $(TCPPREP) -i test.pcap -o test.auto_server -a server
  339. $(TCPPREP) -i test.pcap -o test.auto_first -a first
  340. $(TCPPREP) --load-opts config -o test.prep_config
  341. $(TCPPREP) -i test.pcap -o test.port -p
  342. $(TCPPREP) -i test.pcap -o test.mac -e 00:02:3b:00:3d:ce
  343. $(TCPPREP) -i test.pcap -o test.cidr -c '216.27.178.0/24'
  344. $(TCPPREP) -i test.pcap -o test.regex -r '216.27.178.*'
  345. $(TCPPREP) -i test.pcap -o test.comment -C "This is a comment" -p
  346. standard_bigendian:
  347. $(TCPREWRITE) -i test.pcap -o test.rewrite_seed -s 55
  348. $(TCPREWRITE) -i test.pcap -o test.rewrite_portmap -r 80:8080
  349. $(TCPREWRITE) -i test.pcap -o test.rewrite_endpoint \
  350. -e 10.10.0.1:10.10.0.2 -c test.auto_router
  351. $(TCPREWRITE) -i test.pcap -o test.rewrite_pnat \
  352. -N 216.27.178.0/24:172.16.0.0/24
  353. $(TCPREWRITE) -i test.pcap -o test.rewrite_pad -F pad
  354. $(TCPREWRITE) -i test.pcap -o test.rewrite_trunc -F trunc
  355. $(TCPREWRITE) -i test.pcap -o test.rewrite_mac \
  356. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  357. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  358. $(TCPREWRITE) -i test.pcap -o test.rewrite_layer2 \
  359. --dlt=user --user-dlink=00,50,da,5d,46,55,0,7,eb,30,a4,c3,08,0
  360. $(TCPREWRITE) -i test.pcap -o test.rewrite_config --enet-vlan=add --enet-vlan-tag=45 \
  361. --enet-vlan-cfi=1 --enet-vlan-pri=5
  362. $(TCPREWRITE) -i test.pcap -o test.rewrite_skip -b -s 55 \
  363. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  364. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  365. $(TCPREWRITE) -i test.pcap -o test.rewrite_dltuser --dlt=user \
  366. --user-dlink=0x0f,0x00,0x08,0x00 --user-dlt=104
  367. $(TCPREWRITE) -i test.pcap -o test.rewrite_dlthdlc --dlt=hdlc \
  368. --hdlc-control=0 --hdlc-address=0x0F
  369. $(TCPREWRITE) -i test.rewrite_config -o test.rewrite_vlandel \
  370. --enet-vlan=del
  371. standard_littleendian:
  372. $(TCPREWRITE) -i test.pcap -o test2.rewrite_seed -s 55
  373. $(TCPREWRITE) -i test.pcap -o test2.rewrite_portmap -r 80:8080
  374. $(TCPREWRITE) -i test.pcap -o test2.rewrite_endpoint \
  375. -e 10.10.0.1:10.10.0.2 -c test.auto_router
  376. $(TCPREWRITE) -i test.pcap -o test2.rewrite_pnat \
  377. -N 216.27.178.0/24:172.16.0.0/24
  378. $(TCPREWRITE) -i test.pcap -o test2.rewrite_pad -F pad
  379. $(TCPREWRITE) -i test.pcap -o test2.rewrite_trunc -F trunc
  380. $(TCPREWRITE) -i test.pcap -o test2.rewrite_mac \
  381. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  382. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  383. $(TCPREWRITE) -i test.pcap -o test2.rewrite_layer2 \
  384. --dlt=user --user-dlink=00,50,da,5d,46,55,0,7,eb,30,a4,c3,08,0
  385. $(TCPREWRITE) -i test.pcap -o test2.rewrite_config --enet-vlan=add --enet-vlan-tag=45 \
  386. --enet-vlan-cfi=1 --enet-vlan-pri=5
  387. $(TCPREWRITE) -i test.pcap -o test2.rewrite_skip -b -s 55 \
  388. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  389. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  390. $(TCPREWRITE) -i test.pcap -o test2.rewrite_dltuser --dlt=user \
  391. --user-dlink=0x0f,0x00,0x08,0x00 --user-dlt=104
  392. $(TCPREWRITE) -i test.pcap -o test2.rewrite_dlthdlc --dlt=hdlc \
  393. --hdlc-control=0 --hdlc-address=0x0F
  394. $(TCPREWRITE) -i test.rewrite_config -o test2.rewrite_vlandel \
  395. --enet-vlan=del
  396. tcpprep: auto_router auto_bridge auto_client auto_server auto_first cidr regex \
  397. port mac comment print_info print_comment prep_config
  398. tcprewrite: rewrite_portmap rewrite_endpoint rewrite_pnat rewrite_trunc \
  399. rewrite_pad rewrite_seed rewrite_mac rewrite_layer2 rewrite_config \
  400. rewrite_skip rewrite_dltuser rewrite_dlthdlc rewrite_vlandel
  401. tcpreplay: replay_basic replay_cache replay_pps replay_rate replay_top \
  402. replay_config replay_multi replay_accurate
  403. prep_config:
  404. $(PRINTF) "%s" "[tcpprep] Config mode test: "
  405. $(PRINTF) "%s\n" "*** [tcpprep] Config mode test: " >>test.log
  406. $(TCPPREP) $(ENABLE_DEBUG) --load-opts=config -o test.$@1 2>>test.log
  407. diff test.$@ test.$@1 >>test.log 2>&1
  408. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  409. auto_router:
  410. $(PRINTF) "%s" "[tcpprep] Auto/Router mode test: "
  411. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Router mode test: " >>test.log
  412. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a router 2>>test.log
  413. diff test.$@ test.$@1 >>test.log 2>&1
  414. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  415. auto_bridge:
  416. $(PRINTF) "%s" "[tcpprep] Auto/Bridge mode test: "
  417. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Bridge mode test: " >>test.log
  418. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a bridge 2>>test.log
  419. diff test.$@ test.$@1 >>test.log 2>&1
  420. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  421. auto_client:
  422. $(PRINTF) "%s" "[tcpprep] Auto/Client mode test: "
  423. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Client mode test: " >>test.log
  424. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a client 2>>test.log
  425. diff test.$@ test.$@1 >>test.log 2>&1
  426. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  427. auto_server:
  428. $(PRINTF) "%s" "[tcpprep] Auto/Server mode test: "
  429. $(PRINTF) "%s\n" "*** [tcpprep] Auto/Server mode test: " >>test.log
  430. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a server 2>>test.log
  431. diff test.$@ test.$@1 >>test.log 2>&1
  432. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  433. auto_first:
  434. $(PRINTF) "%s" "[tcpprep] Auto/First mode test: "
  435. $(PRINTF) "%s\n" "*** [tcpprep] Auto/First mode test: " >>test.log
  436. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -a first 2>>test.log
  437. diff test.$@ test.$@1 >>test.log 2>&1
  438. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  439. regex:
  440. $(PRINTF) "%s" "[tcpprep] Regex mode test: "
  441. $(PRINTF) "%s\n" "*** [tcpprep] Regex mode test: " >>test.log
  442. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -r '216.27.178.*' 2>>test.log
  443. diff test.$@ test.$@1 >>test.log 2>&1
  444. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  445. cidr:
  446. $(PRINTF) "%s" "[tcpprep] CIDR mode test: "
  447. $(PRINTF) "%s\n" "*** [tcpprep] CIDR mode test: " >>test.log
  448. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -c '216.27.178.0/24' 2>>test.log
  449. diff test.$@ test.$@1 >>test.log 2>&1
  450. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  451. port:
  452. $(PRINTF) "%s" "[tcpprep] Port mode test: "
  453. $(PRINTF) "%s\n" "*** [tcpprep] Port mode test: " >>test.log
  454. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -p 2>>test.log
  455. diff test.$@ test.$@1 >>test.log 2>&1
  456. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  457. mac:
  458. $(PRINTF) "%s" "[tcpprep] MAC mode test: "
  459. $(PRINTF) "%s\n" "*** [tcpprep] MAC mode test: " >>test.log
  460. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -e 00:02:3b:00:3d:ce 2>>test.log
  461. diff test.$@ test.$@1 >>test.log 2>&1
  462. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  463. comment:
  464. $(PRINTF) "%s" "[tcpprep] Comment mode test: "
  465. $(PRINTF) "%s\n" "*** [tcpprep] Comment mode test: " >>test.log
  466. $(TCPPREP) $(ENABLE_DEBUG) -i test.pcap -o test.$@1 -C "This is a comment" -p 2>>test.log
  467. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  468. print_comment:
  469. $(PRINTF) "%s" "[tcpprep] Print comment mode test: "
  470. $(PRINTF) "%s\n" "*** [tcpprep] Print comment mode test: " >>test.log
  471. $(TCPPREP) $(ENABLE_DEBUG) -P test.comment >test.$@1 2>>test.log
  472. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  473. print_info:
  474. $(PRINTF) "%s" "[tcpprep] Print info mode test: "
  475. $(PRINTF) "%s\n" "*** [tcpprep] Print info mode test: " >>test.log
  476. $(TCPPREP) $(ENABLE_DEBUG) -I test.comment >test.$@1 2>>test.log
  477. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  478. replay_basic:
  479. $(PRINTF) "%s" "[tcpreplay] Basic test: "
  480. $(PRINTF) "%s\n" "*** [tcpreplay] Basic test: " >>test.log
  481. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -t test.pcap >>test.log 2>&1
  482. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  483. replay_cache:
  484. $(PRINTF) "%s" "[tcpreplay] Cache test: "
  485. $(PRINTF) "%s\n" "*** [tcpreplay] Cache test: " >>test.log
  486. $(TCPREPLAY) $(ENABLE_DEBUG) -c test.cidr -i $(nic1) -I $(nic2) -t test.pcap >>test.log 2>&1
  487. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  488. replay_accurate:
  489. $(PRINTF) "%s" "[tcpreplay] Accurate test: "
  490. $(PRINTF) "%s\n" "*** [tcpreplay] Accurate test: " >>test.log
  491. $(TCPREPLAY) $(ENABLE_DEBUG) -a -i $(nic1) test.pcap >>test.log 2>&1
  492. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  493. rewrite_portmap:
  494. $(PRINTF) "%s" "[tcprewrite] Portmap test: "
  495. $(PRINTF) "%s\n" "*** [tcprewrite] Portmap test: " >>test.log
  496. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.rewrite_portmap1 -r 80:8080 >>test.log 2>&1
  497. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  498. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  499. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  500. rewrite_endpoint:
  501. $(PRINTF) "%s" "[tcprewrite] Endpoint test: "
  502. $(PRINTF) "%s\n" "*** [tcprewrite] Endpoint test: " >>test.log
  503. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.rewrite_endpoint1 -e 10.10.0.1:10.10.0.2 -c test.auto_router
  504. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  505. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  506. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  507. rewrite_pnat:
  508. $(PRINTF) "%s" "[tcprewrite] Pseudo NAT test: "
  509. $(PRINTF) "%s\n" "*** [tcprewrite] Pseudo NAT test: " >>test.log
  510. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.rewrite_pnat1 -N 216.27.178.0/24:172.16.0.0/24
  511. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  512. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  513. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  514. rewrite_mac:
  515. $(PRINTF) "%s" "[tcprewrite] Src/Dst MAC test: "
  516. $(PRINTF) "%s\n" "*** [tcprewrite] Src/Dst MAC test: " >>test.log
  517. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.rewrite_mac1 \
  518. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  519. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  520. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  521. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  522. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  523. rewrite_trunc:
  524. $(PRINTF) "%s" "[tcprewrite] Truncate test: "
  525. $(PRINTF) "%s\n" "*** [tcprewrite] Truncate test: " >>test.log
  526. $(TCPREWRITE) $(ENABLE_DEBUG) -F trunc -i test.pcap -o test.rewrite_trunc1 >>test.log 2>&1
  527. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  528. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  529. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  530. rewrite_pad:
  531. $(PRINTF) "%s" "[tcprewrite] Pad test: "
  532. $(PRINTF) "%s\n" "*** [tcprewrite] Pad test: " >>test.log
  533. $(TCPREWRITE) $(ENABLE_DEBUG) -F pad -i test.pcap -o test.rewrite_pad1 >>test.log 2>&1
  534. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  535. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  536. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  537. rewrite_seed:
  538. $(PRINTF) "%s" "[tcprewrite] Seed IP test: "
  539. $(PRINTF) "%s\n" "*** [tcprewrite] Seed IP test: " >>test.log
  540. $(TCPREWRITE) $(ENABLE_DEBUG) -i test.pcap -o test.rewrite_seed1 -s 55 >>test.log 2>&1
  541. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  542. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  543. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  544. rewrite_layer2:
  545. $(PRINTF) "%s" "[tcprewrite] Layer2 test: "
  546. $(PRINTF) "%s\n" "*** [tcprewrite] Layer2 test: " >>test.log
  547. $(TCPREWRITE) $(ENABLE_DEBUG) --dlt=user --user-dlink=00,50,da,5d,46,55,0,7,eb,30,a4,c3,08,0 \
  548. -i test.pcap -o test.rewrite_layer21 >>test.log 2>&1
  549. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  550. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  551. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  552. rewrite_config:
  553. $(PRINTF) "%s" "[tcprewrite] Config/VLAN Add test: "
  554. $(PRINTF) "%s\n" "*** [tcprewrite] Config/VLAN Add test: " >>test.log
  555. $(TCPREWRITE) --load-opts config
  556. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  557. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  558. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  559. rewrite_skip:
  560. $(PRINTF) "%s" "[tcprewrite] Skip bcast test: "
  561. $(PRINTF) "%s\n" "*** [tcprewrite] Skip bcast test: " >>test.log
  562. $(TCPREWRITE) -i test.pcap -o test.rewrite_skip1 -b -s 55 \
  563. --enet-dmac=00:12:13:14:15:16,00:22:33:44:55:66 \
  564. --enet-smac=00:22:33:44:55:66,00:12:13:14:15:16 -c test.auto_router
  565. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  566. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  567. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  568. rewrite_dltuser:
  569. $(PRINTF) "%s" "[tcprewrite] DLT User test: "
  570. $(PRINTF) "%s\n" "*** [tcprewrite] DLT User test: " >>test.log
  571. $(TCPREWRITE) -i test.pcap -o test.rewrite_dltuser1 --dlt=user \
  572. --user-dlink=0x0f,0x00,0x08,0x00 --user-dlt=104
  573. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  574. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  575. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  576. rewrite_dlthdlc:
  577. $(PRINTF) "%s" "[tcprewrite] DLT Cisco HDLC test: "
  578. $(PRINTF) "%s\n" "*** [tcprewrite] DLT Cisco HDLC test: " >>test.log
  579. $(TCPREWRITE) -i test.pcap -o test.rewrite_dlthdlc1 --dlt=hdlc \
  580. --hdlc-control=0 --hdlc-address=0x0F
  581. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  582. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  583. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  584. rewrite_vlandel:
  585. $(PRINTF) "%s" "[tcprewrite] VLAN Delete test: "
  586. $(PRINTF) "%s\n" "*** [tcprewrite] VLAN Delete test: " >>test.log
  587. $(TCPREWRITE) -i test.rewrite_config -o test.rewrite_vlandel1 \
  588. --enet-vlan=del
  589. @WORDS_BIGENDIAN_TRUE@ diff test.$@ test.$@1 >>test.log 2>&1
  590. @WORDS_BIGENDIAN_FALSE@ diff test2.$@ test.$@1 >>test.log 2>&1
  591. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  592. replay_pps:
  593. $(PRINTF) "%s" "[tcpreplay] Packets/sec test: "
  594. $(PRINTF) "%s\n" "*** [tcpreplay] Packets/sec test: " >>test.log
  595. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -p 25 test.pcap >>test.log 2>&1
  596. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  597. replay_rate:
  598. $(PRINTF) "%s" "[tcpreplay] Mbps test: "
  599. $(PRINTF) "%s\n" "*** [tcpreplay] Mbps test: " >>test.log
  600. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -M 25.0 test.pcap >>test.log 2>&1
  601. if [ $? ] ; then $(PRINTF) "\t\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t\t%s\n" "OK"; fi
  602. replay_multi:
  603. $(PRINTF) "%s" "[tcpreplay] Multiplier test: "
  604. $(PRINTF) "%s\n" "*** [tcpreplay] Multiplier test: " >>test.log
  605. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -x 25.0 test.pcap >>test.log 2>&1
  606. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  607. replay_top:
  608. $(PRINTF) "%s" "[tcpreplay] Topspeed test: "
  609. $(PRINTF) "%s\n" "*** [tcpreplay] Topspeed test: " >>test.log
  610. $(TCPREPLAY) $(ENABLE_DEBUG) -i $(nic1) -t test.pcap >>test.log 2>&1
  611. if [ $? ] ; then $(PRINTF) "\t\t%s\n" "FAILED"; else $(PRINTF) "\t\t%s\n" "OK"; fi
  612. datadump_mode:
  613. $(PRINTF) "%s" "[tcpreplay] Data dump test: "
  614. $(PRINTF) "%s\n" "*** [tcpreplay] Data dump mode test: " >>test.log
  615. $(TCPREPLAY) $(ENABLE_DEBUG) -D -i $(nic1) -j $(nic2) -w primary.data -W secondary.data -c test.cidr -R test.pcap >>test.log 2>&1
  616. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  617. replay_config:
  618. $(PRINTF) "%s" "[tcpreplay] Config file/VLAN add test: "
  619. $(PRINTF) "%s\n" "*** [tcpreplay] Config file/VLAN add test: " >>test.log
  620. $(TCPREPLAY) $(ENABLE_DEBUG) --load-opts=config test.pcap >>test.log 2>&1
  621. if [ $? ] ; then $(PRINTF) "\t%s\n" "FAILED"; else $(PRINTF) "\t%s\n" "OK"; fi
  622. clean:
  623. rm -f *1 test.log core* *~ primary.data secondary.data
  624. distclean: clean
  625. rm -f Makefile config
  626. maintainer-clean: distclean
  627. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  628. # Otherwise a system limit (for SysV at least) may be exceeded.
  629. .NOEXPORT: